Skip to content

/fal-ai/wan/v2.2-a14b/image-to-image

POST https://www.kkiai.com/fal-ai/wan/v2.2-a14b/image-to-image

Official documentation: https://fal.ai/models/fal-ai/wan/v2.2-a14b/image-to-image

Request Parameters

Authorization

Add the Authorization parameter to the Header, with the value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Body Parameters (application/json)

ParameterTypeRequiredDescription
image_urlstringRequired
promptstringRequired
strengthnumberOptionalStrength, range: 0-1
aspect_ratiostringOptional
num_inference_stepsintegerOptional
enable_safety_checkerbooleanOptionalEnable safety checker, default: true
enable_prompt_expansionbooleanOptional
accelerationstringOptionalImage generation speed, enum values: "regular", "none"
guidance_scalenumberOptional
guidance_scale_2integerOptional
shiftintegerOptional
image_formatstringOptionalImage output format: "jpeg", "png"

Request Example

json
{
  "image_url": "https://storage.googleapis.com/falserverless/example_inputs/wan-image-to-image-input.png",
  "prompt": "A cinematic shot of an ancient city at sunset, intricate stone buildings, warm golden light",
  "strength": 0.5,
  "aspect_ratio": "auto",
  "num_inference_steps": 27,
  "enable_safety_checker": true,
  "enable_prompt_expansion": false,
  "acceleration": "regular",
  "guidance_scale": 3.5,
  "guidance_scale_2": 4,
  "shift": 2,
  "image_format": "jpeg"
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/fal-ai/wan/v2.2-a14b/image-to-image' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "image_url": "https://storage.googleapis.com/falserverless/example_inputs/wan-image-to-image-input.png",
  "prompt": "A cinematic shot of an ancient city at sunset, intricate stone buildings, warm golden light",
  "strength": 0.5,
  "aspect_ratio": "auto",
  "num_inference_steps": 27,
  "enable_safety_checker": true,
  "enable_prompt_expansion": false,
  "acceleration": "regular",
  "guidance_scale": 3.5,
  "guidance_scale_2": 4,
  "shift": 2,
  "image_format": "jpeg"
}'

Response

🟢 200 Success

Response Example

json
{
    "status": "IN_QUEUE",
    "request_id": "f88f1b41-b325-4f23-926b-da51481bf6c6",
    "response_url": "https://queue.fal.run/fal-ai/wan/requests/f88f1b41-b325-4f23-926b-da51481bf6c6",
    "status_url": "https://queue.fal.run/fal-ai/wan/requests/f88f1b41-b325-4f23-926b-da51481bf6c6/status",
    "cancel_url": "https://queue.fal.run/fal-ai/wan/requests/f88f1b41-b325-4f23-926b-da51481bf6c6/cancel",
    "logs": null,
    "metrics": {},
    "queue_position": 0
}